package com.crm.rely.backend.core.dto.finance.withdraw.automatic;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.Map;

@Data
public class FinanceWithdrawPay3payDto extends FinanceWithdrawDto {

    private Map<String, String> params;
    private Map<String, String> paramsEn;

    @JSONField(ordinal = 1)
    private String address;
    @JSONField(ordinal = 20)
    private String currency;
    @JSONField(ordinal = 30)
    private BigDecimal amount;

    private Map<String, String> currencySelect;

    public FinanceWithdrawPay3payDto() {
        params = new LinkedHashMap<>();
        paramsEn = new LinkedHashMap<>();

        params.put("address", "钱包地址");
        params.put("currency", "提现货币类型");
        params.put("amount", "金额");

        paramsEn.put("address", "address");
        paramsEn.put("currency", "currency");
        paramsEn.put("amount", "amount");

    }
}
